Page MenuHomePhabricator

Cached thresholds should be purged when model version is incremented
Closed, ResolvedPublic

Description

This should be part of handling a new model version. Old thresholds are meaningless for a new model.

Event Timeline

awight created this task.Dec 5 2017, 3:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2017, 3:29 PM

The proper way to handle it IMO is to include version in the cache key.

I might not pick this up immediately but will do it very soon.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 16 2017, 5:49 PM

Change 400196 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Clean up ThresholdLookup, make the cache key use model version

https://gerrit.wikimedia.org/r/400196

Yes, that looks great! I'll review once the predecessor patch is stabilized.

Change 400196 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Clean up ThresholdLookup, make the cache key use model version

https://gerrit.wikimedia.org/r/400196

Halfak closed this task as Resolved.Jan 30 2018, 8:31 PM